Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

An API key is a token that you provide when making API calls. Read more about how to secure your project.

Include the API key to the Authorization header, for instance:

If you use a SDK, ensure you instantiate the client with the API key, for instance with JS SDK:

Path Parameters

index_uid
string
required

Unique identifier of the index.

Response

Returns the current value of the faceting setting.

Faceting: maximum number of facet values and how they are sorted.

maxValuesPerFacet
integer | null
default:100

Maximum number of facet values returned per facet. Values are sorted in ascending lexicographical order.

Required range: x >= 0
Example:

100

sortFacetValuesBy
object | null

Sort order per facet: by descending count (count) or ascending alphanumeric (alpha). Key * applies to all facets.

Example: